﻿@model LoyaltyPointEngine.Data.LoginLog
@{
    ViewBag.Title = "Index";
}
<!--=== Page Header ===-->
<div class="page-header">
    <div class="page-title">
        <h3>Log Activity Reporting</h3>
    </div>


</div>
<!-- /Page Header -->


<div class="row">
    <!--=== Validation Example 1 ===-->
    <div class="col-md-6 pull-right">
        <div class="widget box">
            <div class="widget-content">
                @using (Html.BeginForm(MVC.LoginLog.Index(), FormMethod.Post, new { @class = "form-horizontal row-border", @id = "formAddMember" }))
                {
                    @Html.AntiForgeryToken()
                    <div class="form-horizontal row-border">
                        <div class="form-group">
                            <label class="col-md-3 control-label">User Name  </label>
                            <div class="col-md-6">
                                @Html.DropDownListFor(x => x.UserName, ViewBag.ListUsername as IEnumerable<SelectListItem>, "", new { @class = "select2-select-00 col-md-12 full-width-fix" })
                            </div>
                        </div>
                    </div>

                    <div class="form-horizontal row-border">
                        <div class="form-group">
                            <label class="col-md-3 control-label">Tgl Awal  </label>
                            <div class="col-md-6">
                                @Html.TextBox("tglAwal", "", new { @class = "form-control datepicker3" })
                            </div>
                        </div>
                    </div>

                    <div class="form-horizontal row-border">
                        <div class="form-group">
                            <label class="col-md-3 control-label">Tgl Akhir   </label>
                            <div class="col-md-6">
                                @Html.TextBox("tglAkhir", "", new { @class = "form-control datepicker3" })
                            </div>
                        </div>
                    </div>


                    <div class="form-actions">
                        <input type="submit" value="Download" class="btn btn-primary pull-right" id="download-button-reporting">
                        <input type="button" value="Search" class="btn btn-primary pull-right" id="search-button-log">
                    </div>


                }
            </div>
        </div>
    </div>
</div>


<div class="row">
    <div class="col-md-12">
        <div class="widget">
            <div class="widget-header">
                <h4><i class="icon-reorder"></i>Log Activity Reporting</h4>
            </div>
            <div class="right-title">
                @using (Html.BeginForm(null, null, null, FormMethod.Post, new { id = "gridSeachLoginLog", LoginLog = "form" }))
                {
                    <input type="text" id="hiddenUsername" name="hiddenUsername" class="form-control box-search" style="display: none">
                    <input type="text" id="hiddenAwal" name="hiddenAwal" class="form-control box-search" style="display: none">
                    <input type="text" id="hiddenAkhir" name="hiddenAkhir" class="form-control box-search" style="display: none">
                    <button class="hidden" type="submit" id="hidden-search-log"></button>
                }

            </div>
            <div class="widget-content">
                @Html.Action("GridGetAllLoginLog")
            </div>
            <!-- .box-content -->

        </div>
        <!-- .box -->

    </div>
</div>



@section FooterScript{
    <script>
        (function () {
            var gridName = 'AllLog';
            var pagingUrl = '@Url.Action(MVC.LoginLog.GridGetAllLoginLogPager())';

            $('.grid-mvc').gridmvc();
            pageGrids[gridName].ajaxify({
                getData: pagingUrl,
                getPagedData: pagingUrl,
                gridFilterForm: $('#gridSeachLoginLog'),
                onAjaxComplete: function (status, response) {
                    if (status === 'success' && response.hasItems) {
                        var nextTotalRow = $.each($(response.Html), function (idx, item) {
                            if (item.id === 'totalRows') {
                                $('#totalRows').text(item.innerText);
                            }
                        })
                    }
                    else {
                        var nextTotalRow = $.each($(response.Html), function (idx, item) {
                            if (item.id === 'totalRows') {
                                $('#totalRows').text('no items to display');
                            }
                        })
                    }
                }
            });


            $(".datepicker3").datepicker({
                defaultDate: +7,
                showOtherMonths: true,
                autoSize: true,
                dateFormat: 'dd/mm/yy',
            });


            $('#search-button-log').click(function () {
                // alert('aaa')
                var user = $('#UserName').val();
                var awal = $('#tglAwal').val();
                var akhir = $('#tglAkhir').val();

                $('#hiddenUsername').val(user);
                $('#hiddenAwal').val(awal);
                $('#hiddenAkhir').val(akhir);
                $('#hidden-search-log').click();


            });


            $('#download-button-reporting').click(function () {

                setTimeout(function () { HideLoader(); }, 3000);
            });



        }())


    </script>
}